/// <reference types="react" />
import { IReactComponent, IOptions, ReactFormSubmitEventHandler, ReactFormInputValidation as BaseValidation, Lang } from "./specs/react-form-input-validator.spec";
declare class ReactFormInputValidation extends BaseValidation {
    private component;
    private rules;
    private errors;
    private _onformsubmit;
    constructor(component: IReactComponent, options?: IOptions);
    static useLang(locale: string): void;
    static register(name: string, callbackFn: Function, errorMessage: string): void;
    static registerAsync(name: string, callbackFn: Function): void;
    static setMessages(langCode: Lang, values: object): void;
    static getMessages(langCode: Lang): object;
    static getDefaultLang(): Lang;
    static setAttributeFormatter(callbackFn: Function): void;
    set onformsubmit(callback: ReactFormSubmitEventHandler);
    get onformsubmit(): ReactFormSubmitEventHandler;
    addEventListener(event: string, callback: (...args: Array<any>) => void): this;
    removeEventListener(event: string, callback: (...args: Array<any>) => void): this;
    useRules(rules: any): void;
    handleChangeEvent(event: React.ChangeEvent<HTMLInputElement>): void;
    handleBlurEvent(event: React.FocusEvent<HTMLInputElement>): void;
    handleSubmit(event: React.FormEvent): void;
    private validateForm;
    private getRadioButtonValues;
    private getCheckboxValues;
    private validate;
    private fillErrors;
    private invalidateErrors;
    private getEvent;
}
export { Lang };
export default ReactFormInputValidation;
